
LAB_PATH ?= ../lab-windows

SHELL := bash
.ONESHELL:
.SHELLFLAGS := -eu -o pipefail -c
.DELETE_ON_ERROR:
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --no-builtin-rules

main_tex ?= safety-reset-paper

VERSION_STRING := 1.0 # $(shell git describe --tags --long)

all: ${main_tex}.pdf

%.pdf: %.tex safety-reset-paper.bib version.tex
	pdflatex -shell-escape $<
	bibtex $* 
	pdflatex -shell-escape $<

.PHONY: once
once: safety-reset-paper.tex safety-reset-paper.bib version.tex
	bibtex safety-reset-paper
	pdflatex -shell-escape $<

version.tex: ${main_tex}.tex safety-reset-paper.bib
	echo "${VERSION_STRING}" > $@

resources/%.pdf: $(LAB_PATH)/%.ipynb
	jupyter-nbconvert --to=pdf --output-dir=resources --output=$* --LatexExporter.template_file=resources/nbexport.tplx $^

.PHONY: submission
submission: acsac22-15.zip

acsac22-15.zip: clean
	rm -f acsac22-15.zip
	mkdir -p submission/pdf
	mkdir -p submission/Source
	cd submission
	cp ../safety-reset-paper.pdf pdf/
	cp ../safety-reset-paper.tex Source/
	cp ../safety-reset-paper.bib Source/ACSAC22-15.bib
	cp ../flowchart.pdf Source/
	cp ../freq_meas_spectrum_new.pdf Source/
	cp ../dsss_gold_nbits_overview.pdf Source/
	cp ../dsss_thf_amplitude_5678.pdf Source/
	cp ../chip_duration_sensitivity_6.pdf Source/
	cp ../prototype.jpg Source/
	cp ../prototype_schema.pdf Source/
	zip -r ../acsac22-15.zip *


.PHONY: clean
clean:
	rm -f ${main_tex}.aux ${main_tex}.bbl ${main_tex}.bcf ${main_tex}.log ${main_tex}.blg
	rm -f ${main_tex}.out ${main_tex}.run.xml texput.log 

